<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/ll_face_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    >

    <com.lianxin.panqq.chat.emojicon.EMEmojiconPagerView
        android:layout_width="match_parent"
        android:layout_height="162dp"
        android:id="@+id/pager_view"
        />
    
    <com.lianxin.panqq.chat.emojicon.EMEmojiconIndicatorView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/indicator_view"
        android:layout_marginBottom="2dp"
        />
    
    <View 
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="#CFCFCF"
        />
    
    <com.lianxin.panqq.chat.emojicon.EMEmojiconScrollTabBar
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:id="@+id/tab_bar"
         />
    
</LinearLayout>